Results 1 to 10 of 10

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: iPhone 3G Help with 4.1

  1. #1
    Default iPhone 3G Help with 4.1
    Hi everyone, this has been a really tedious process for me over the past 8 hours or so. Just hoping for a little help. I have an iPhone 3G that I had on 3.1.3 jailbroken and unlocked and I have a T-Mobile SIM in it. I do not have easy access to an ATT SIM card.

    The problem is I wanted to go to 4.1 and I followed a guide on RedmondPie about an unlock and jailbreak for the 3G. It took forever, but I set sn0wbreeze 2.0.2 to run in XP SP2 compatibility mode, ran the program as an admin, and than the .ipsw it created worked in iTunes (failed numerous times before with many different errors). However, when it booted, it came up to the activation screen with the SIM error in iTunes. I did tell sn0wbreeze to activate the phone, but it didn't. So now, I am hoping for some help on how to get past that without getting another SIM. Is this possible?

    I also need to unlock once I get in the phone, however, I fear that the baseband might have been updated. Is there a way to downgrade the baseband? I also run Win7, no access to a Mac. Please help, I am just burned out with this now. Thanks in advance!

  2. #2
    Fuzzyband from cydia will tell you what baseband and bootloader, if you can downgrade and it will downgrade it for you if posable. As for the activation, I don't think it's posable on 4.x yet without a AT&T sim.

  3. #3
    Quote Originally Posted by bchilton9 View Post
    Fuzzyband from cydia will tell you what baseband and bootloader, if you can downgrade and it will downgrade it for you if posable. As for the activation, I don't think it's posable on 4.x yet without a AT&T sim.
    Thanks, but why would it give you the option to activate in sn0wbreeze than??

  4. #4
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    48,875
    Thanks
    8,108
    Thanked 17,645 Times in 8,025 Posts

    Just try running sn0wbreeze again and this time unclick activate phone then click it again, then make your custom firmware and restore to that. You also shouldnt have to run it in compatibility mode, I have used it on windows 7 and it works just fine. As far as your baseband is concerned as long as you didnt restore to a regular 4.1 firmware then you should be fine.

    You are pressing shift when you click restore and choosing the custom firmware you made right?

  5. The Following User Says Thank You to Simon For This Useful Post:

    viperboy (2010-09-30)

  6. #5
    Quote Originally Posted by x98car View Post
    Just try running sn0wbreeze again and this time unclick activate phone then click it again, then make your custom firmware and restore to that. You also shouldnt have to run it in compatibility mode, I have used it on windows 7 and it works just fine. As far as your baseband is concerned as long as you didnt restore to a regular 4.1 firmware then you should be fine.

    You are pressing shift when you click restore and choosing the custom firmware you made right?
    Alright, I will try that again. Unfortunately, I think I did do the update to 4.1 at some point along this journey cause it wasn't working. Yes, I am doing shift+click.

  7. #6
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    48,875
    Thanks
    8,108
    Thanked 17,645 Times in 8,025 Posts

    If you did the update to a regular 4.1 then your baseband was updated and your phone cannot be unlocked. Your only hope lies in if you have 5.8 bootloader and use fuzzyband in cydia like the other person mentioned above.

  8. #7
    Quote Originally Posted by x98car View Post
    If you did the update to a regular 4.1 then your baseband was updated and your phone cannot be unlocked. Your only hope lies in if you have 5.8 bootloader and use fuzzyband in cydia like the other person mentioned above.
    Thanks again, that's what I figured. I am still trying to atleast get into my iPhone at this point. I am in the process of loading the custom 4.1 on here. I unchecked activate and rechecked it, so hopefully I will be able to use it when this finishes in a few. If this doesn't work, what else can I do? I guess I need to find an ATT SIM card.

    EDIT: Wonderful! I was able to get into the phone! Thanks for the suggestion, x98car!
    Last edited by viperboy; 2010-09-30 at 07:30 PM.

  9. #8
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    48,875
    Thanks
    8,108
    Thanked 17,645 Times in 8,025 Posts

    You can always put it in dfu and downgrade it to 3.1.3 and use redsn0w to jailbreak it if that doesn't work, but it should.

  10. #9
    Quote Originally Posted by viperboy View Post
    Thanks, but why would it give you the option to activate in sn0wbreeze than??
    I didn't know sn0wbreeze had this option iv never used it. Learn something new everyday.

  11. #10
    Fuzzyband shows bootloader 06.04 and baseband 05.14.02 so for right now it seems like i'm fu(ked.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •